/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GNUTLS_CMD_H__
#define __GNUTLS_CMD_H__

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#include <gnutls/gnutls.h>

#include <vpzone_plugin.h>

#define DH_FILE_MAX_SIZE 769
/*
int interpret_command_gnutls(char **cmd);
*/
int cafile_cmd(int argc, char **argv);

int certnkey_files_cmd(int argc, char **argv);

int dhfile_cmd(int argc, char **argv);

int crlfile_cmd(int argc, char **argv);

#endif
